curl --request POST \
--url https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.post("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_account_ref": "<string>",
"status": "active",
"effective_date": "2023-11-07T05:31:56Z",
"expiration_date": "2023-11-07T05:31:56Z",
"scopes": {}
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Pause Tms Share Agreement
Pause a TMS Share Agreement.
curl --request POST \
--url https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.post("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_account_ref": "<string>",
"status": "active",
"effective_date": "2023-11-07T05:31:56Z",
"expiration_date": "2023-11-07T05:31:56Z",
"scopes": {}
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
API model for reading a sharing agreement
Contains all the details about what TMS-sourced data you can access from a TMS account.
Unique agreement identifier
Your organization ID receiving access to TMS account data
The Catena TMS account ID sharing their data with you
The TMS invitation that was accepted to create this agreement, if any
Your internal identifier for this TMS account, for mapping Catena TMS accounts to your system. Returned in webhooks and APIs for easy integration.
Current state: ACTIVE (data access enabled from effective_date until expiration_date), PAUSED (temporarily disabled), CANCELLED (permanently ended), EXPIRED (ended; not set automatically when expiration_date passes), or DELETED (permanently removed)
active, paused, cancelled, deleted, expired When data access begins. Check this before attempting to fetch TMS account data.
When data access ends. Null means no expiration. Access stops at this time even though the status stays unchanged.
Defines which TMS-sourced resources (loads, shipments, carriers, etc.) you can access and the permission level (read, write) for each.
Show child attributes
Show child attributes
Was this page helpful?